%define _buildid .4

%global py26nvr python26-jsonpointer-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-jsonpointer-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global pypi_name jsonpointer
%global github_name python-json-pointer
%global commit c1ec3dfd171b242e23b3fe078a99f0e23fb0c6ea
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name: python-jsonpointer
Version: 1.0
Release: 3%{?_buildid}%{?dist}
Summary: Resolve JSON Pointers in Python
Group: System Environment/Libraries
License: BSD
URL: https://github.com/stefankoegl/%{github_name}
# pypi tarball does not contain COPYING
Source0: https://github.com/stefankoegl/%{github_name}/archive/%{commit}/%{github_name}-%{version}-%{shortcommit}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
Library to resolve JSON Pointers according to RFC 6901.

%package -n python26-jsonpointer
Summary: Resolve JSON Pointers in Python
BuildRequires: python26-devel
BuildRequires: python26-setuptools
BuildRequires: python26-coverage

%description -n python26-jsonpointer
Library to resolve JSON Pointers according to RFC 6901.

This package is meant to be used with Python 2.6.

%package -n python27-jsonpointer
Summary: Resolve JSON Pointers in Python
BuildRequires: python27-devel
BuildRequires: python27-setuptools
BuildRequires: python27-coverage

%description -n python27-jsonpointer
Library to resolve JSON Pointers according to RFC 6901.

This package is meant to be used with Python 2.7.

%prep
%setup -qn %{github_name}-%{commit}

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

%check
%if %{with tests}
pushd %{py26builddir}
%{__python26} tests.py
popd
pushd %{py27builddir}
%{__python27} tests.py
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-jsonpointer
%doc README.md COPYING AUTHORS
%{python26_sitelib}/*

%files -n python27-jsonpointer
%doc README.md COPYING AUTHORS
%{python27_sitelib}/*

%changelog
* Thu Feb 26 2015 Ben Cressey <bcressey@amazon.com>
- bump release

* Tue Feb 10 2015 Ben Cressey <bcressey@amazon.com>
- build for multiple pythons

* Tue Aug 12 2014 Cristian Gafton <gafton@amazon.com>
- import source package EPEL7/python-jsonpointer-1.0-2.el7

* Fri Jan 24 2014 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-jsonpointer-1.0-3.el6
- setup complete for package python-jsonpointer

* Thu Sep 05 2013 Alan Pevec <apevec@gmail.com> - 1.0-2
- add AUTHORS to docs

* Mon Jul 01 2013 Alan Pevec <apevec@gmail.com> - 1.0-1
- Initial package.
